<?php
function drk_add_forum_link_meta_boxes(){
	add_meta_box(
		"post_metadata_forum_link_id",
		"Forum Link URL",
		"drk_meta_box_forum_link",
        array("markets","venders",'tlg_channels','other_services','top_forums'),
		"normal",
		'default'
	);
}

add_action('add_meta_boxes', "drk_add_forum_link_meta_boxes");

function drk_meta_box_forum_link() {
	global $post;
	$forum_link = get_post_meta($post->ID, '_forum_link',true);
	?>
	    <input name="_forum_link" type="text" value="<?php echo $forum_link?>"/>
<?php
}

function drk_save_forum_link_meta_boxes(){
	global $post;
	if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE){
		return;
	}
	update_post_meta($post->ID,"_forum_link", $_POST["_forum_link"]);
	
}

add_action("save_post", "drk_save_forum_link_meta_boxes");